# CKEditor 3.0 JavaScript API Documentation

Code Index | File Index

## Namespaces

- CKEDITOR
- CKEDITOR.ajax
- CKEDITOR.config
- CKEDITOR.dom
- CKEDITOR.dtd
- CKEDITOR.env
- CKEDITOR.imageCacher
- CKEDITOR.loader
- CKEDITOR.plugins
- CKEDITOR.resourceManager
- CKEDITOR.scriptLoader
- CKEDITOR.skins
- CKEDITOR.test
- CKEDITOR.themes
- CKEDITOR.tools

## Classes

- CKEDITOR.commandDefinition
- CKEDITOR.dialog
- CKEDITOR.dialog.buttonDefinition
- CKEDITOR.dialog.contentDefinition
- CKEDITOR.dialog.contentDefinitionObject
- CKEDITOR.dialog.dialogDefinition
- CKEDITOR.dialog.dialogDefinitionObject
- CKEDITOR.dialog.uiElementDefinition
- CKEDITOR.dialogCommand
- CKEDITOR.dom.document
- CKEDITOR.dom.domObject
- CKEDITOR.dom.element
- CKEDITOR.dom.event
- CKEDITOR.dom.node
- CKEDITOR.dom.selection
- CKEDITOR.dom.text
- CKEDITOR.dom.window
- CKEDITOR.editor
- CKEDITOR.event
- CKEDITOR.eventInfo
- CKEDITOR.focusManager
- CKEDITOR.htmlParser
- CKEDITOR.htmlParser.cdata
- CKEDITOR.htmlParser.comment
- CKEDITOR.htmlParser.element
- CKEDITOR.htmlParser.fragment
- CKEDITOR.htmlParser.text
- CKEDITOR.htmlWriter
- CKEDITOR.keystrokeHandler
- CKEDITOR.pluginDefinition
- CKEDITOR.ui
- CKEDITOR.ui.button
- CKEDITOR.ui.dialog.button
- CKEDITOR.ui.dialog.checkbox
- CKEDITOR.ui.dialog.file
- CKEDITOR.ui.dialog.fileButton
- CKEDITOR.ui.dialog.hbox
- CKEDITOR.ui.dialog.html
- CKEDITOR.ui.dialog.labeledElement
- CKEDITOR.ui.dialog.radio
- CKEDITOR.ui.dialog.select
- CKEDITOR.ui.dialog.textarea
- CKEDITOR.ui.dialog.textInput
- CKEDITOR.ui.dialog.uiElement
- CKEDITOR.ui.dialog.vbox
- CKEDITOR.ui.handlerDefinition
- CKEDITOR.xml

# Class CKEDITOR.dialog.buttonDefinition

Defined in: plugins/dialog/dialogDefinition.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| CKEDITOR.dialog.buttonDefinition() This class is not really part of the API.

Field Summary
Field Attributes | Field Name and Description
--- | ---
| accessKey The CTRL hotkey for the button.
| disabled Whether the button is disabled.
| id The id of the dialog button.
| label The label of the dialog button.
| onClick The function to execute when the button is clicked.
| title The popup message of the dialog button.

Class Detail
CKEDITOR.dialog.buttonDefinition()
Since: 3.0
This class is not really part of the API. It just illustrates the properties that developers can use to define and create dialog buttons.

    // There is no constructor for this class, the user just has to define an
    // object with the appropriate properties.

Field Detail
{String} accessKey
Since: 3.0
The CTRL hotkey for the button.

    exitButton.accessKey = 'X';		// Button will be pressed when user presses CTRL-X

{Boolean} disabled
Since: 3.0
Whether the button is disabled.

Default Value:
  false

{String} id
Since: 3.0
The id of the dialog button. Required.

{String} label
Since: 3.0
The label of the dialog button. Required.

{Function} onClick
Since: 3.0
The function to execute when the button is clicked.

{String} title
Since: 3.0
The popup message of the dialog button.

Copyright © 2003-2009, CKSource - Frederico Knabben. All rights reserved.